{
  name: "Choice Specs",
  spritenum: 70,
  fling: {
  	basePower: 10,
  },
  onStart(pokemon) {
  	if (pokemon.volatiles['choicelock']) {
  		this.debug('removing choicelock: ' + pokemon.volatiles['choicelock']);
  	}
  	pokemon.removeVolatile('choicelock');
  },
  onModifyMove(move, pokemon) {
  	pokemon.addVolatile('choicelock');
  },
  onModifySpAPriority: 1,
  onModifySpA(spa, pokemon) {
  	if (pokemon.volatiles['dynamax']) return;
  	return this.chainModify(1.5);
  },
  isChoice: true,
  num: 297,
  gen: 4,
}